Perturbation
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Perturbation

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Perturbation

    public class Perturbation

extends DataModel

Constructor Summary
`Perturbation()`
`Perturbation(org.gcube.application.aquamaps.datamodel.Perturbation toLoad)`
`Perturbation(PerturbationType toSetType, java.lang.String perturbation)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getPerturbationValue()`
`PerturbationType` | `getType()`
`int` | `hashCode()`
`java.util.List<Perturbation>` | `load(org.gcube.application.aquamaps.datamodel.PerturbationArray toLoad)`
`void` | `setPerturbationValue(java.lang.String perturbationValue)`
`void` | `setType(PerturbationType type)`
`org.gcube.application.aquamaps.datamodel.Perturbation` | `toStubsVersion()` Deprecated.
`static org.gcube.application.aquamaps.datamodel.PerturbationArray` | `toStubsVersion(java.util.List<Perturbation> toConvert)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Perturbation

    public Perturbation()

### Perturbation

    public Perturbation(PerturbationType toSetType,
                        java.lang.String perturbation)

### Perturbation

    public Perturbation(org.gcube.application.aquamaps.datamodel.Perturbation toLoad)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getType

    public PerturbationType getType()

### getPerturbationValue

    public java.lang.String getPerturbationValue()

### load

    public java.util.List<Perturbation> load(org.gcube.application.aquamaps.datamodel.PerturbationArray toLoad)

### toStubsVersion

    @Deprecated
    public org.gcube.application.aquamaps.datamodel.Perturbation toStubsVersion()

  Deprecated.

### toStubsVersion

    public static org.gcube.application.aquamaps.datamodel.PerturbationArray toStubsVersion(java.util.List<Perturbation> toConvert)

### setType

    public void setType(PerturbationType type)

### setPerturbationValue

    public void setPerturbationValue(java.lang.String perturbationValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD